def lunar_add(a, b):
    # Преобразуем числа в строки для поразрядной обработки
    a_str = str(a)
    b_str = str(b)
    
    # Дополняем нулями до одинаковой длины
    max_length = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_length)
    b_str = b_str.zfill(max_length)
    
    result = ''
    for digit_a, digit_b in zip(a_str, b_str):
        # Сложение в лунной арифметике
        result += str(max(int(digit_a), int(digit_b)))
    
    return int(result)

def lunar_multiply(a, b):
    # Преобразуем числа в строки для поразрядной обработки
    a_str = str(a)
    b_str = str(b)
    
    # Дополняем нулями до одинаковой длины
    max_length = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_length)
    b_str = b_str.zfill(max_length)
    
    result = ''
    for digit_a, digit_b in zip(a_str, b_str):
        # Умножение в лунной арифметике
        result += str(min(int(digit_a), int(digit_b)))
    
    return int(result)
e = int(input())
f = int(input())
# Примеры использования
print(lunar_add(e, f))  # Вывод: 789
print(lunar_multiply(e, f))  # Вывод: 2
